• Boa noite, eu sempre usei um iframe em uma pagina, mas parece que em alguma atualização o editor está bloqueando o iframe e não aparece mais nada. Gostaria de saber o que posso fazer?

Visualizando 10 respostas - 1 até 10 (de um total de 10)
  • olá @gabriel-marmitt,

    primeiro, sugiro que entre na página dentro do admin do WordPress e veja se o código do iframe ainda está lá. pois na última atualização o WordPress fez algumas modificações para inserir o Gutenberg do WordPress 5. pode não ser um bloqueio do iframe, mas o código pode ter sofrido uma modificação com a atualização. verifique se o código está ok. e, claro, verifique se a url que o iframe carrega também está ok. e espera-se que a url já use https.

    segundo, se tudo ok e não carrega o iframe, pode ser algo gerando conflito com o iframe, como um plugin. sugiro que teste usando um plugin para carregar o iframe,

    https://br.wordpress.org/plugins/iframe/

    esse plugin já é compatível inclusive com o WordPress 5.

    espero que isso ajude a solucionar seu problema.

    abraços e boa sorte,

    Moderador Felipe Elia

    (@felipeelia)

    Obrigado pela resposta, @ralden.

    Vou deixar aqui só alguns esclarecimentos (não são necessariamente correções):
    – O WordPress não alterou o conteúdo de nenhum post como preparação para a versão 5.
    – A instalação (por enquanto opcional) do Gutenberg, pode trazer alguma esquisitice dessas, mas acho difícil que ninguém tenha notado ainda.
    – O WP 5 ainda não foi lançado, por isso a gente não pode dizer que um plugin é compatível com ele.

    O que o WordPress faz é permitir o uso de iframes só por alguns usuários. Então, por exemplo, se um usuário administrador criou um post e um outro usuário com permissão menor editou, o WP pode ter removido o iframe. Tem algum link que a gente possa ver a página, @gabriel-marmitt?

    Olá,

    Obrigado a todos pelas respostas.

    Verifiquei que deixou de funcionar porque a pagina no iframe não tem certificado SSL, pois testei com outra página com https e funcionou.

    A página com o iframe é essa aqui

    Eu vi que tem alguns plugins para fazer iframes, inclusive o plugin sugerido, mas gostaria de evitar usar mais um plugin, sendo que somente preciso de uma página com iframe.

    Não sei se é viável, mas gostaria de saber se tem algum código para dar essa permissão de iframe no editor de páginas?

    Grato pela atenção.

    Moderador Felipe Elia

    (@felipeelia)

    Se o seu usuário é administrador você não precisa de um plugin. É o caso?

    E você tem razão sobre o SSL, só é possível incluir um iframe em um site com https se o endereço do iframe também for https.

    Sim, eu sou o administrador. Eu sempre usei o iframe por alguns anos e dava certo.
    Instalei recentemente na minha página o certificado SSL.

    Você saberia me dizer algum código que possa inserir em algum arquivo para dar essa permissão?

    Moderador Felipe Elia

    (@felipeelia)

    Então, não existe.

    O que a gente conversou aqui são dois problemas diferentes.
    1) Um usuário não administrador tentando colocar um iframe: nesse caso o WordPress remove o código do iframe. Pra isso a gente poderia tentar alguma coisa, mas não é o seu caso.

    2) Uma página https apontando para uma que não é: aqui quem impede o funcionamento é o navegador. Você pode resolver isso de algumas formas, como explicado nessa resposta aqui no Stack Overflow, mas basicamente seria encapsular essa página em alguma coisa que rodasse através de https.

    Instalei o Gutenberg, adorei a nova ferramenta porém, quando realizei a ultima atualização, ele não funciona mais.
    Apresenta o seguinte erro:

    O editor encontrou um erro inesperado.

    E as seguintes opções que não funcionam de nada:

    Tentativa de recuperação
    Copiar o texto do post
    Copiar o erro

    Alguém pode me ajudar referente a isso?

    Moderador Felipe Elia

    (@felipeelia)

    @blogdothiagoferraz, crie seu próprio tópico. Como a gente explica no texto de boas-vindas:

    Sempre comece o seu próprio tópico para as suas dúvidas, com exceção é claro, que você esteja utilizando a mesma versão do WordPress, no mesmo servidor e utilizando os mesmo plugins, temas e configurações que o autor original do tópico, caso o contrário, nunca publique suas dúvidas em tópicos de outras pessoas.

    Criando seu próprio tópico você vai conseguir mais visibilidade para o seu problema também. Tente incluir o máximo de informações possíveis como, por exemplo, quais são os outros plugins que você está usando. O Gutenberg realmente fez uma alteração grande na última versão e apareceram alguns conflitos com outros plugins, como o Yoast SEO, por exemplo.

    Estou enfrentando o mesmo problema, porém ainda não habilitei Gutenberg.
    Apenas com o usuário Super Administrador está sendo possível cadastrar um post com iframe.

    olá @arcoinformatica,

    se você apenas escreveu isso como comentário, ok. inclusive ao falar em “Super Administrador”, entendo então que está usando a versão Multisite.

    agora se escreveu isso como pedido de ajuda no suporte, conforme as regras do Fórum você deve abrir o seu próprio tópico sobre o caso. e precisa dar o máximo de informações sobre o problema.

    abraços,

Visualizando 10 respostas - 1 até 10 (de um total de 10)
  • O tópico ‘iframes’ está fechado para novas respostas.